package com.ruoyi.ie.service;


import com.ruoyi.ie.domain.Paperques;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author mingxue
 * @date 2021-06-20
 */
public interface IPaperquesService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public Paperques selectPaperquesById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param paperques 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<Paperques> selectPaperquesList(Paperques paperques);

    /**
     * 新增【请填写功能名称】
     *
     * @param paperques 【请填写功能名称】
     * @return 结果
     */
    public int insertPaperques(Paperques paperques);

    /**
     * 修改【请填写功能名称】
     *
     * @param paperques 【请填写功能名称】
     * @return 结果
     */
    public int updatePaperques(Paperques paperques);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    public int deletePaperquesByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deletePaperquesById(Long id);
}
